<div class="container">
    <h1>Admin Panel</h1>
    <div class="row">
        <div class="col-md-8">
            <h3>Users per Day</h3>
            <div>
             <%= @userchange %>% (compared to month before)<br>
            </div>
            <%= area_chart @users_last_30.group_by_day(:created_at).count %>
            <br>
            <br>
            <h3>Users (total)</h3>

            <%= sum=0
                area_chart @users.group_by_day(:created_at).count.to_a.sort{|x,y| x[0] <=> y[0]}.map { |x,y| { x => (sum += y)} }.reduce({}, :merge),  points: false %>
            
        </div>
    
        <div class="col-md-4">
           <h3>Users (Total): <%= @users.count %></h3>
           <h4>Users (last 30 Days): <%= @users_last_30.count %></h4>
           <h4>Users (last 30 - 60 Days): <%= @users_before_30.count %></h4>
        </div>
    </div>

    <div class="row" style="margin-top: 20px;">
        <div class="col-md-6">
            <h2>Users</h2>
            <table class="table table-striped">
                 <tr>
                    <th>Name</th>  
                    <th>Email</th>  
                    <th>Subscribed?</th>
                </tr>
                <% @users.each do |user| %>
                    <tr>
                        <td><%= user.name %></td>
                        <td><%= user.email %></td>
                        <td><%= user.subscribed %></td>
                    </tr>
                <% end %>
            </table>
        </div>
        <div class="col-md-6">
            <h2>Emails</h2>
            <textarea name="" id="" cols="30" rows="10">First Name,Last Name, Email Adress
            <% @users.each do |user| %>
                <% if user.name.present? %>
                    <% split = user.name.split(" ") %>
                    <%= split[0] %>,<%= split[1] %>,<%= user.email %>
                <% else %>
                    ,,<%= user.email %>
                <% end %>
            <% end %>
            </textarea>
        </div>
    </div>

</div>

